/* eslint-disable */
const Webviewer = window.WebViewer;
const hashFile = '/' + (window.location.hash || 'file_view.pdf').replace('#', '');

Webviewer({
  initialDoc: hashFile,
  path: '/lib',
  enableFilePicker: true,
  licenseKey: ''
}, document.getElementById('viewer')).then(async (instance) => {
  const { documentViewer, annotationManager } = instance.Core;
  // documentViewer.addEventListener('documentLoaded', async ()=>{
  //  await annotationManager.importAnnotations(``)
  // })
  documentViewer.addEventListener('annotationsLoaded', async () => {
    saveFile(false, documentViewer, annotationManager)
  });
});

function saveBlob(blob, filename) {
  if (window.navigator.msSaveOrOpenBlob) {
    window.navigator.msSaveOrOpenBlob(blob, filename);
  } else {
    const a = document.createElement('a');
    document.body.appendChild(a);
    const url = window.URL.createObjectURL(blob);
    a.href = url;
    a.download = filename;
    a.click();
    setTimeout(() => {
      window.URL.revokeObjectURL(url);
      document.body.removeChild(a);
    }, 0)
  }
}
async function saveFile(isSubmit, docViewer, annotManager) {
    const xfdfResp = await fetch('https://gist.githubusercontent.com/Tyler-Gordon/8e19730b87f1d618a7ac3d1763c64aa3/raw/0b87504f734a49cbad2132337fb621700c69d6ed/quick.xfdf')
    const xfdf = await xfdfResp.blob();
    
    var data = new FormData();
    await fetch('https://api.dattasign.com.br/api/file_view').then( async (resp) => {
      data.append('file', await resp.blob())
      data.append('xfdf', xfdf);
      const response = await fetch('https://api.pdfjs.express/xfdf/merge',
        {
          method: 'post',
          body: data
        }).then(resp => resp.json());
  
      const { url, key, id } = response;
  
      // Download the file
      var mergedBlob = await fetch(url,
        {
          headers: {
            Authorization: key
          }
        }).then(resp => resp.blob());
        saveBlob(mergedBlob, 'file.pdf')
        console.log(mergedBlob)
    });
}